:root {
  --primary-heading-text-color: #e0b860;
  --button-text-color: #1f3a32;
  --golden-border-color-1: #c9a24d;
  --golden-border-color-2: #e0b860;
  --bg-paper-texture1: url('../assets/backgroundImage/body_bg_1.avif');
  --bg-button: url('../assets/backgroundImage/buttonBackground.avif');
  --font-home-heading: "Pirata One", serif;
  --font-heading: "Cinzel", serif;
  --font-text: "Inter", sans-serif;
}

/* ___________________________ */
/* ______Genarel CSS Start____ */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
.container {
    width: min(100%, 1200px);
    margin-inline: auto;
    padding: 10px 20px;
}
h2, h3, h4, h5, h6 {
    font-family: var(--font-heading);
}
p {
    font-family: var(--font-text);
    color: var(--text-color-home);
    line-height: 25px;
}
/* ___________________________ */
/* ______Genarel CSS End______ */

/* ___________________________ */
/* ______Header CSS Start_____ */
header{
    display: flex;
    align-items: center;
    background: url('../assets/backgroundImage/HeaderBackground.avif') center/cover no-repeat;
    padding: 20px 0;
    position: relative;
}
header .header_golden_bar{
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 5px;
    background-color: var(--golden-border-color-1);
    box-shadow: inset 0.1px 0.1px 2px rgba(0, 0, 0, 0.3);
}
.logo img{
    height: 70px;
    width: auto;
}
/* Desktop Menu */
.desktop_menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.desktop_menu ul {
  display: flex;
  align-items: center;
  gap: 25px;
  list-style: none;
}

.desktop_menu li{
  position: relative;
}

.desktop_menu li.active a {
  color: #aa8200;
}

.desktop_menu li a{
  text-decoration: none;
  color: var(--primary-heading-text-color);
  font-family: var(--font-heading);
  font-weight: 500;
  font-size: 18px;
}

.header_button_parent{
    background: var(--bg-button) center/cover no-repeat;
    padding: 3px;
    border-radius: 5px;
    transition: 0.5s;
}   
.header_button_parent:hover{
    background-position-y: -20px;
}   
.header_button{
    padding: 4px 30px !important;
    background-color: transparent;
    color: var(--button-text-color);
    border: 1px solid var(--golden-border-color-1);
    border-radius: 3px;
    cursor: pointer;
    font-family: var(--font-heading);
    font-size: 18px;
    font-weight: bold;
}


/* Simple hover effect */
.desktop_menu li::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 0%;
  height: 2px;
  border-radius: 5px;
  background: var(--primary-heading-text-color);
  transition: 0.3s;
}

.desktop_menu li:hover::after {
  width: 100%;
}

/* Hamburger */
.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  z-index: 1001;
}

.hamburger span {
  width: 26px;
  height: 3px;
  margin: 4px 0;
  background: url('../assets/backgroundImage/grunge-paper-background.jpg') center/cover no-repeat;
  transition: 0.4s;
}

/* Hamburger animation */
.hamburger.active span:nth-child(1) {
  transform: rotate(45deg) translate(7.7px, 7.7px);
}

.hamburger.active span:nth-child(2) {
  opacity: 0;
}

.hamburger.active span:nth-child(3) {
  transform: rotate(-45deg) translate(7.7px, -7.7px);
}

/* Mobile Menu */
.mobile_menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  background: var(--bg-paper-texture1) center/cover no-repeat;
  transform: translateY(-150%);
  transition: 0.5s ease;
  display: flex;
  align-items: top;
  justify-content: center;
  z-index: 1000;
  overflow-y: auto;
  opacity: 0;
  padding-top: 50px;
}
/* Logo bottom spacing */
.mobile_menu .logo {
    padding: 10px 0;
    text-align: center;
    border-bottom: 2px solid var(--button-text-color);
}
/* Active state */
.mobile_menu.active {
  transform: translateY(0);
  opacity: 1;
}

/* Mobile content */
.mobile_menu ul {
  list-style: none;
  text-align: center;
  padding-top: 20px;
}

.mobile_menu li{
  padding: 10px 0;
}
.mobile_menu li a{
  text-decoration: none;;
  padding: 10px 0;
  font-size: 18px;
  cursor: pointer;
  color: #1f3a32;
  font-family: var(--font-heading);
  font-weight: bold;
}

.mobile_header_button_parent{
    background: var(--bg-button) center/cover no-repeat;
    padding: 3px;
    border-radius: 5px;
}   
.mobile_header_button{
    background-color: transparent;
    padding: 10px 0px;
    width: 100%;
    color: var(--button-text-color);
    border: 1px solid var(--golden-border-color-1);
    border-radius: 3px;
    font-family: var(--font-heading);
    font-size: 18px;
    font-weight: bold;
}

/* Responsive */
@media (max-width: 1160px) {

    .menu_with_hamburger{
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
  .desktop_menu ul {
    display: none;
  }

  .hamburger {
    display: flex;
  }
}

/* ___________________________ */
/* ______Header CSS End_______ */



/* ___________________________ */
/* ______Footer CSS Start_____ */
footer {
    margin-top: 20px;
    background: url('../assets/backgroundImage/FooterBackground.avif') center/cover no-repeat;
    padding: 40px 0;
    position: relative;
}
footer .footer_golden_bar{
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 5px;
    background-color: #e0b860;
    box-shadow: inset 0.1px 0.1px 2px rgba(0, 0, 0, 0.3);
}

.footer_menu ul {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 25px;
    list-style: none;
    padding-bottom: 40px;
    border-bottom: ridge 2px var(--golden-border-color-1);
}
.footer_menu ul li a{
    text-decoration: none;
    color: var(--primary-heading-text-color);
    font-family: var(--font-heading);
    font-size: 18px;
}
.email_div{
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
    padding-top: 20px;  
}
.email_div p{
    text-align: center;
    color: #f3ead6;
}
.email_div a{
    color: var(--primary-heading-text-color);
}

/* Responsive */
@media (max-width: 770px) {
  .footer_menu ul {
    flex-direction: column;
}
}

/* ___________________________ */
/* ______Footer CSS End_______ */